import{s as vl,n as Tl,o as $l}from"../chunks/scheduler.0219f8bd.js";import{S as xl,i as _l,g as s,s as i,r as n,A as Hl,h as d,f as l,c as o,j as u,u as p,x as a,k as c,y as Ll,a as r,v as f,d as m,t as h,w as b}from"../chunks/index.f61edf3b.js";import{H as y,E as Cl}from"../chunks/EditOnGithub.48fa589f.js";function gl(It){let v,Te,ye,$e,T,xe,$,_e,x,Nt="Core utility functions/classes for Transformers.js.",He,_,qt=`These are only used internally, meaning an end-user shouldn’t
need to access anything here.`,Le,H,St='<li><a href="#module_utils/core">utils/core</a><ul><li><a href="#module_utils/core.reverseDictionary"><code>.reverseDictionary(data)</code></a> ⇒ <code>Object</code></li> <li><a href="#module_utils/core.escapeRegExp"><code>.escapeRegExp(string)</code></a> ⇒ <code>string</code></li> <li><a href="#module_utils/core.isTypedArray"><code>.isTypedArray(val)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.isIntegralNumber"><code>.isIntegralNumber(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.calculateDimensions"><code>.calculateDimensions(arr)</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/core.pop"><code>.pop(obj, key, defaultValue)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/core.mergeArrays"><code>.mergeArrays(arrs)</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/core.calculateReflectOffset"><code>.calculateReflectOffset(i, w)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/core.pick"><code>.pick(o, props)</code></a> ⇒ <code>Object</code></li></ul></li>',Ce,ge,Ae,L,Me,C,we,g,Vt="Reverses the keys and values of an object.",Pe,A,Ut='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Object</code> - The reversed object.<br/> <strong>See</strong>: <a href="https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript" rel="nofollow">https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript</a>',je,M,Gt="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Object</code></td><td><p>The object to reverse.</p></td></tr></tbody>",Ee,ke,Re,w,De,P,Oe,j,Ft="Escapes regular expression special characters from a string by replacing them with their escaped counterparts.",Be,E,Jt='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>string</code> - The escaped string.',Ke,k,Qt="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>string</td><td><code>string</code></td><td><p>The string to escape.</p></td></tr></tbody>",ze,Ie,Ne,R,qe,D,Se,O,Wt="Check if a value is a typed array.",Ve,B,Xt='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a <code>TypedArray</code>, false otherwise.',Ue,K,Yt='Adapted from <a href="https://stackoverflow.com/a/71091338/13989043" rel="nofollow">https://stackoverflow.com/a/71091338/13989043</a>',Ge,z,Zt="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>val</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",Fe,Je,Qe,I,We,N,Xe,q,el="Check if a value is an integer.",Ye,S,tl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a string, false otherwise.',Ze,V,ll="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",et,tt,lt,U,rt,G,it,F,rl="Calculates the dimensions of a nested array.",ot,J,il='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;number&gt;</code> - An array containing the dimensions of the input array.',st,Q,ol="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array.&lt;any&gt;</code></td><td><p>The nested array to calculate dimensions for.</p></td></tr></tbody>",dt,at,ct,W,ut,X,nt,Y,sl="Replicate python’s .pop() method for objects.",pt,Z,dl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>*</code> - The value of the popped key.<br/> <strong>Throws</strong>:',ft,ee,al="<li><code>Error</code> If the key does not exist and no default value is provided.</li>",mt,te,cl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>obj</td><td><code>Object</code></td><td><p>The object to pop from.</p></td> </tr><tr><td>key</td><td><code>string</code></td><td><p>The key to pop.</p></td> </tr><tr><td>defaultValue</td><td><code>*</code></td><td><p>The default value to return if the key does not exist.</p></td></tr></tbody>",ht,bt,yt,le,vt,re,Tt,ie,ul=`Efficiently merge arrays, creating a new copy.
Adapted from <a href="https://stackoverflow.com/a/6768642/13989043" rel="nofollow">https://stackoverflow.com/a/6768642/13989043</a>`,$t,oe,nl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array</code> - The merged array.',xt,se,pl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arrs</td><td><code>Array.&lt;Array&gt;</code></td><td><p>Arrays to merge.</p></td></tr></tbody>",_t,Ht,Lt,de,Ct,ae,gt,ce,fl="Calculates the index offset for a given index and window size.",At,ue,ml='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>number</code> - The index offset.',Mt,ne,hl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>i</td><td><code>number</code></td><td><p>The index.</p></td> </tr><tr><td>w</td><td><code>number</code></td><td><p>The window size.</p></td></tr></tbody>",wt,Pt,jt,pe,Et,fe,kt,me,bl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a>',Rt,he,yl="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>o</td><td><code>Object</code></td> </tr><tr><td>props</td><td><code>Array.&lt;string&gt;</code></td></tr></tbody>",Dt,Ot,Bt,be,Kt,ve,zt;return $=new y({props:{title:"utils/core",local:"utilscore",headingTag:"h1"}}),C=new y({props:{title:"utils/core.reverseDictionary(data) ⇒ <code> Object </code>",local:"utilscorereversedictionarydata--code-object-code",headingTag:"h2"}}),P=new y({props:{title:"utils/core.escapeRegExp(string) ⇒ <code> string </code>",local:"utilscoreescaperegexpstring--code-string-code",headingTag:"h2"}}),D=new y({props:{title:"utils/core.isTypedArray(val) ⇒ <code> boolean </code>",local:"utilscoreistypedarrayval--code-boolean-code",headingTag:"h2"}}),N=new y({props:{title:"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>",local:"utilscoreisintegralnumberx--code-boolean-code",headingTag:"h2"}}),G=new y({props:{title:"utils/core.calculateDimensions(arr) ⇒ <code> Array. < number > </code>",local:"utilscorecalculatedimensionsarr--code-array--number--code",headingTag:"h2"}}),X=new y({props:{title:"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>",local:"utilscorepopobj-key-defaultvalue--code--code",headingTag:"h2"}}),re=new y({props:{title:"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>",local:"utilscoremergearraysarrs--code-array-code",headingTag:"h2"}}),ae=new y({props:{title:"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>",local:"utilscorecalculatereflectoffseti-w--code-number-code",headingTag:"h2"}}),fe=new y({props:{title:"utils/core.pick(o, props) ⇒ <code> Object </code>",local:"utilscorepicko-props--code-object-code",headingTag:"h2"}}),be=new Cl({props:{source:"https://github.com/xenova/transformers.js/blob/main/docs/source/api/utils/core.md"}}),{c(){v=s("meta"),Te=i(),ye=s("p"),$e=i(),T=s("a"),xe=i(),n($.$$.fragment),_e=i(),x=s("p"),x.textContent=Nt,He=i(),_=s("p"),_.textContent=qt,Le=i(),H=s("ul"),H.innerHTML=St,Ce=i(),ge=s("hr"),Ae=i(),L=s("a"),Me=i(),n(C.$$.fragment),we=i(),g=s("p"),g.textContent=Vt,Pe=i(),A=s("p"),A.innerHTML=Ut,je=i(),M=s("table"),M.innerHTML=Gt,Ee=i(),ke=s("hr"),Re=i(),w=s("a"),De=i(),n(P.$$.fragment),Oe=i(),j=s("p"),j.textContent=Ft,Be=i(),E=s("p"),E.innerHTML=Jt,Ke=i(),k=s("table"),k.innerHTML=Qt,ze=i(),Ie=s("hr"),Ne=i(),R=s("a"),qe=i(),n(D.$$.fragment),Se=i(),O=s("p"),O.textContent=Wt,Ve=i(),B=s("p"),B.innerHTML=Xt,Ue=i(),K=s("p"),K.innerHTML=Yt,Ge=i(),z=s("table"),z.innerHTML=Zt,Fe=i(),Je=s("hr"),Qe=i(),I=s("a"),We=i(),n(N.$$.fragment),Xe=i(),q=s("p"),q.textContent=el,Ye=i(),S=s("p"),S.innerHTML=tl,Ze=i(),V=s("table"),V.innerHTML=ll,et=i(),tt=s("hr"),lt=i(),U=s("a"),rt=i(),n(G.$$.fragment),it=i(),F=s("p"),F.textContent=rl,ot=i(),J=s("p"),J.innerHTML=il,st=i(),Q=s("table"),Q.innerHTML=ol,dt=i(),at=s("hr"),ct=i(),W=s("a"),ut=i(),n(X.$$.fragment),nt=i(),Y=s("p"),Y.textContent=sl,pt=i(),Z=s("p"),Z.innerHTML=dl,ft=i(),ee=s("ul"),ee.innerHTML=al,mt=i(),te=s("table"),te.innerHTML=cl,ht=i(),bt=s("hr"),yt=i(),le=s("a"),vt=i(),n(re.$$.fragment),Tt=i(),ie=s("p"),ie.innerHTML=ul,$t=i(),oe=s("p"),oe.innerHTML=nl,xt=i(),se=s("table"),se.innerHTML=pl,_t=i(),Ht=s("hr"),Lt=i(),de=s("a"),Ct=i(),n(ae.$$.fragment),gt=i(),ce=s("p"),ce.textContent=fl,At=i(),ue=s("p"),ue.innerHTML=ml,Mt=i(),ne=s("table"),ne.innerHTML=hl,wt=i(),Pt=s("hr"),jt=i(),pe=s("a"),Et=i(),n(fe.$$.fragment),kt=i(),me=s("p"),me.innerHTML=bl,Rt=i(),he=s("table"),he.innerHTML=yl,Dt=i(),Ot=s("hr"),Bt=i(),n(be.$$.fragment),Kt=i(),ve=s("p"),this.h()},l(e){const t=Hl("svelte-u9bgzb",document.head);v=d(t,"META",{name:!0,content:!0}),t.forEach(l),Te=o(e),ye=d(e,"P",{}),u(ye).forEach(l),$e=o(e),T=d(e,"A",{id:!0,class:!0}),u(T).forEach(l),xe=o(e),p($.$$.fragment,e),_e=o(e),x=d(e,"P",{"data-svelte-h":!0}),a(x)!=="svelte-u71mwf"&&(x.textContent=Nt),He=o(e),_=d(e,"P",{"data-svelte-h":!0}),a(_)!=="svelte-1r3ntfo"&&(_.textContent=qt),Le=o(e),H=d(e,"UL",{"data-svelte-h":!0}),a(H)!=="svelte-44q3nm"&&(H.innerHTML=St),Ce=o(e),ge=d(e,"HR",{}),Ae=o(e),L=d(e,"A",{id:!0,class:!0}),u(L).forEach(l),Me=o(e),p(C.$$.fragment,e),we=o(e),g=d(e,"P",{"data-svelte-h":!0}),a(g)!=="svelte-dvlmk2"&&(g.textContent=Vt),Pe=o(e),A=d(e,"P",{"data-svelte-h":!0}),a(A)!=="svelte-14f6o7p"&&(A.innerHTML=Ut),je=o(e),M=d(e,"TABLE",{"data-svelte-h":!0}),a(M)!=="svelte-8if77n"&&(M.innerHTML=Gt),Ee=o(e),ke=d(e,"HR",{}),Re=o(e),w=d(e,"A",{id:!0,class:!0}),u(w).forEach(l),De=o(e),p(P.$$.fragment,e),Oe=o(e),j=d(e,"P",{"data-svelte-h":!0}),a(j)!=="svelte-14ro5y0"&&(j.textContent=Ft),Be=o(e),E=d(e,"P",{"data-svelte-h":!0}),a(E)!=="svelte-nstyrr"&&(E.innerHTML=Jt),Ke=o(e),k=d(e,"TABLE",{"data-svelte-h":!0}),a(k)!=="svelte-1h5d263"&&(k.innerHTML=Qt),ze=o(e),Ie=d(e,"HR",{}),Ne=o(e),R=d(e,"A",{id:!0,class:!0}),u(R).forEach(l),qe=o(e),p(D.$$.fragment,e),Se=o(e),O=d(e,"P",{"data-svelte-h":!0}),a(O)!=="svelte-1oclrgb"&&(O.textContent=Wt),Ve=o(e),B=d(e,"P",{"data-svelte-h":!0}),a(B)!=="svelte-1uuf78s"&&(B.innerHTML=Xt),Ue=o(e),K=d(e,"P",{"data-svelte-h":!0}),a(K)!=="svelte-pr567i"&&(K.innerHTML=Yt),Ge=o(e),z=d(e,"TABLE",{"data-svelte-h":!0}),a(z)!=="svelte-cdg32t"&&(z.innerHTML=Zt),Fe=o(e),Je=d(e,"HR",{}),Qe=o(e),I=d(e,"A",{id:!0,class:!0}),u(I).forEach(l),We=o(e),p(N.$$.fragment,e),Xe=o(e),q=d(e,"P",{"data-svelte-h":!0}),a(q)!=="svelte-1ityjuy"&&(q.textContent=el),Ye=o(e),S=d(e,"P",{"data-svelte-h":!0}),a(S)!=="svelte-1n9m385"&&(S.innerHTML=tl),Ze=o(e),V=d(e,"TABLE",{"data-svelte-h":!0}),a(V)!=="svelte-6n2d7i"&&(V.innerHTML=ll),et=o(e),tt=d(e,"HR",{}),lt=o(e),U=d(e,"A",{id:!0,class:!0}),u(U).forEach(l),rt=o(e),p(G.$$.fragment,e),it=o(e),F=d(e,"P",{"data-svelte-h":!0}),a(F)!=="svelte-1p78ixx"&&(F.textContent=rl),ot=o(e),J=d(e,"P",{"data-svelte-h":!0}),a(J)!=="svelte-15dw4oc"&&(J.innerHTML=il),st=o(e),Q=d(e,"TABLE",{"data-svelte-h":!0}),a(Q)!=="svelte-1bdqiim"&&(Q.innerHTML=ol),dt=o(e),at=d(e,"HR",{}),ct=o(e),W=d(e,"A",{id:!0,class:!0}),u(W).forEach(l),ut=o(e),p(X.$$.fragment,e),nt=o(e),Y=d(e,"P",{"data-svelte-h":!0}),a(Y)!=="svelte-1m1a0x7"&&(Y.textContent=sl),pt=o(e),Z=d(e,"P",{"data-svelte-h":!0}),a(Z)!=="svelte-1dwq64m"&&(Z.innerHTML=dl),ft=o(e),ee=d(e,"UL",{"data-svelte-h":!0}),a(ee)!=="svelte-n4a723"&&(ee.innerHTML=al),mt=o(e),te=d(e,"TABLE",{"data-svelte-h":!0}),a(te)!=="svelte-j5xxk1"&&(te.innerHTML=cl),ht=o(e),bt=d(e,"HR",{}),yt=o(e),le=d(e,"A",{id:!0,class:!0}),u(le).forEach(l),vt=o(e),p(re.$$.fragment,e),Tt=o(e),ie=d(e,"P",{"data-svelte-h":!0}),a(ie)!=="svelte-kvbp1p"&&(ie.innerHTML=ul),$t=o(e),oe=d(e,"P",{"data-svelte-h":!0}),a(oe)!=="svelte-1ydcymw"&&(oe.innerHTML=nl),xt=o(e),se=d(e,"TABLE",{"data-svelte-h":!0}),a(se)!=="svelte-stz7tp"&&(se.innerHTML=pl),_t=o(e),Ht=d(e,"HR",{}),Lt=o(e),de=d(e,"A",{id:!0,class:!0}),u(de).forEach(l),Ct=o(e),p(ae.$$.fragment,e),gt=o(e),ce=d(e,"P",{"data-svelte-h":!0}),a(ce)!=="svelte-1m1ncmy"&&(ce.textContent=fl),At=o(e),ue=d(e,"P",{"data-svelte-h":!0}),a(ue)!=="svelte-vsw9ui"&&(ue.innerHTML=ml),Mt=o(e),ne=d(e,"TABLE",{"data-svelte-h":!0}),a(ne)!=="svelte-xzg366"&&(ne.innerHTML=hl),wt=o(e),Pt=d(e,"HR",{}),jt=o(e),pe=d(e,"A",{id:!0,class:!0}),u(pe).forEach(l),Et=o(e),p(fe.$$.fragment,e),kt=o(e),me=d(e,"P",{"data-svelte-h":!0}),a(me)!=="svelte-zerxn5"&&(me.innerHTML=bl),Rt=o(e),he=d(e,"TABLE",{"data-svelte-h":!0}),a(he)!=="svelte-18944ut"&&(he.innerHTML=yl),Dt=o(e),Ot=d(e,"HR",{}),Bt=o(e),p(be.$$.fragment,e),Kt=o(e),ve=d(e,"P",{}),u(ve).forEach(l),this.h()},h(){c(v,"name","hf:doc:metadata"),c(v,"content",Al),c(T,"id","module_utils/core"),c(T,"class","group"),c(L,"id","module_utils/core.reverseDictionary"),c(L,"class","group"),c(w,"id","module_utils/core.escapeRegExp"),c(w,"class","group"),c(R,"id","module_utils/core.isTypedArray"),c(R,"class","group"),c(I,"id","module_utils/core.isIntegralNumber"),c(I,"class","group"),c(U,"id","module_utils/core.calculateDimensions"),c(U,"class","group"),c(W,"id","module_utils/core.pop"),c(W,"class","group"),c(le,"id","module_utils/core.mergeArrays"),c(le,"class","group"),c(de,"id","module_utils/core.calculateReflectOffset"),c(de,"class","group"),c(pe,"id","module_utils/core.pick"),c(pe,"class","group")},m(e,t){Ll(document.head,v),r(e,Te,t),r(e,ye,t),r(e,$e,t),r(e,T,t),r(e,xe,t),f($,e,t),r(e,_e,t),r(e,x,t),r(e,He,t),r(e,_,t),r(e,Le,t),r(e,H,t),r(e,Ce,t),r(e,ge,t),r(e,Ae,t),r(e,L,t),r(e,Me,t),f(C,e,t),r(e,we,t),r(e,g,t),r(e,Pe,t),r(e,A,t),r(e,je,t),r(e,M,t),r(e,Ee,t),r(e,ke,t),r(e,Re,t),r(e,w,t),r(e,De,t),f(P,e,t),r(e,Oe,t),r(e,j,t),r(e,Be,t),r(e,E,t),r(e,Ke,t),r(e,k,t),r(e,ze,t),r(e,Ie,t),r(e,Ne,t),r(e,R,t),r(e,qe,t),f(D,e,t),r(e,Se,t),r(e,O,t),r(e,Ve,t),r(e,B,t),r(e,Ue,t),r(e,K,t),r(e,Ge,t),r(e,z,t),r(e,Fe,t),r(e,Je,t),r(e,Qe,t),r(e,I,t),r(e,We,t),f(N,e,t),r(e,Xe,t),r(e,q,t),r(e,Ye,t),r(e,S,t),r(e,Ze,t),r(e,V,t),r(e,et,t),r(e,tt,t),r(e,lt,t),r(e,U,t),r(e,rt,t),f(G,e,t),r(e,it,t),r(e,F,t),r(e,ot,t),r(e,J,t),r(e,st,t),r(e,Q,t),r(e,dt,t),r(e,at,t),r(e,ct,t),r(e,W,t),r(e,ut,t),f(X,e,t),r(e,nt,t),r(e,Y,t),r(e,pt,t),r(e,Z,t),r(e,ft,t),r(e,ee,t),r(e,mt,t),r(e,te,t),r(e,ht,t),r(e,bt,t),r(e,yt,t),r(e,le,t),r(e,vt,t),f(re,e,t),r(e,Tt,t),r(e,ie,t),r(e,$t,t),r(e,oe,t),r(e,xt,t),r(e,se,t),r(e,_t,t),r(e,Ht,t),r(e,Lt,t),r(e,de,t),r(e,Ct,t),f(ae,e,t),r(e,gt,t),r(e,ce,t),r(e,At,t),r(e,ue,t),r(e,Mt,t),r(e,ne,t),r(e,wt,t),r(e,Pt,t),r(e,jt,t),r(e,pe,t),r(e,Et,t),f(fe,e,t),r(e,kt,t),r(e,me,t),r(e,Rt,t),r(e,he,t),r(e,Dt,t),r(e,Ot,t),r(e,Bt,t),f(be,e,t),r(e,Kt,t),r(e,ve,t),zt=!0},p:Tl,i(e){zt||(m($.$$.fragment,e),m(C.$$.fragment,e),m(P.$$.fragment,e),m(D.$$.fragment,e),m(N.$$.fragment,e),m(G.$$.fragment,e),m(X.$$.fragment,e),m(re.$$.fragment,e),m(ae.$$.fragment,e),m(fe.$$.fragment,e),m(be.$$.fragment,e),zt=!0)},o(e){h($.$$.fragment,e),h(C.$$.fragment,e),h(P.$$.fragment,e),h(D.$$.fragment,e),h(N.$$.fragment,e),h(G.$$.fragment,e),h(X.$$.fragment,e),h(re.$$.fragment,e),h(ae.$$.fragment,e),h(fe.$$.fragment,e),h(be.$$.fragment,e),zt=!1},d(e){e&&(l(Te),l(ye),l($e),l(T),l(xe),l(_e),l(x),l(He),l(_),l(Le),l(H),l(Ce),l(ge),l(Ae),l(L),l(Me),l(we),l(g),l(Pe),l(A),l(je),l(M),l(Ee),l(ke),l(Re),l(w),l(De),l(Oe),l(j),l(Be),l(E),l(Ke),l(k),l(ze),l(Ie),l(Ne),l(R),l(qe),l(Se),l(O),l(Ve),l(B),l(Ue),l(K),l(Ge),l(z),l(Fe),l(Je),l(Qe),l(I),l(We),l(Xe),l(q),l(Ye),l(S),l(Ze),l(V),l(et),l(tt),l(lt),l(U),l(rt),l(it),l(F),l(ot),l(J),l(st),l(Q),l(dt),l(at),l(ct),l(W),l(ut),l(nt),l(Y),l(pt),l(Z),l(ft),l(ee),l(mt),l(te),l(ht),l(bt),l(yt),l(le),l(vt),l(Tt),l(ie),l($t),l(oe),l(xt),l(se),l(_t),l(Ht),l(Lt),l(de),l(Ct),l(gt),l(ce),l(At),l(ue),l(Mt),l(ne),l(wt),l(Pt),l(jt),l(pe),l(Et),l(kt),l(me),l(Rt),l(he),l(Dt),l(Ot),l(Bt),l(Kt),l(ve)),l(v),b($,e),b(C,e),b(P,e),b(D,e),b(N,e),b(G,e),b(X,e),b(re,e),b(ae,e),b(fe,e),b(be,e)}}}const Al='{"title":"utils/core","local":"utilscore","sections":[{"title":"utils/core.reverseDictionary(data) ⇒ <code> Object </code>","local":"utilscorereversedictionarydata--code-object-code","sections":[],"depth":2},{"title":"utils/core.escapeRegExp(string) ⇒ <code> string </code>","local":"utilscoreescaperegexpstring--code-string-code","sections":[],"depth":2},{"title":"utils/core.isTypedArray(val) ⇒ <code> boolean </code>","local":"utilscoreistypedarrayval--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>","local":"utilscoreisintegralnumberx--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.calculateDimensions(arr) ⇒ <code> Array. < number > </code>","local":"utilscorecalculatedimensionsarr--code-array--number--code","sections":[],"depth":2},{"title":"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>","local":"utilscorepopobj-key-defaultvalue--code--code","sections":[],"depth":2},{"title":"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>","local":"utilscoremergearraysarrs--code-array-code","sections":[],"depth":2},{"title":"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>","local":"utilscorecalculatereflectoffseti-w--code-number-code","sections":[],"depth":2},{"title":"utils/core.pick(o, props) ⇒ <code> Object </code>","local":"utilscorepicko-props--code-object-code","sections":[],"depth":2}],"depth":1}';function Ml(It){return $l(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class El extends xl{constructor(v){super(),_l(this,v,Ml,gl,vl,{})}}export{El as component};
